Package org.oasis_open.docs.ws_calendar.ns.soap

# Class CompFilterType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.CompFilterType

public class CompFilterType extends Object
The compFilter XML element specifies a query targeted at the calendar object (i.e., VCALENDAR) or at a specific calendar component type (e.g., VEVENT). The scope of the compFilter XML element is the calendar object when used as a child of the filter XML element. The scope of the compFilter XML element is the enclosing calendar component when used as a child of another compFilter XML element. A compFilter is said to match if: * The compFilter XML element is empty and the calendar object or calendar component type specified by the "name" attribute exists in the current scope; or: * The compFilter XML element contains a is-not-defined XML element and the calendar object or calendar component type specified by the "name" attribute does not exist in the current scope; or: * The compFilter XML element contains a timeRange XML element and at least one recurrence instance in the targeted calendar component is scheduled to overlap the specified time range, and all specified propFilter and compFilter child XML elements also match the targeted calendar component; or: * The compFilter XML element only contains propFilter and compFilter child XML elements that all match the targeted calendar component.

Java class for CompFilterType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CompFilterType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}anyComp"/>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}vcalendar"/>
               <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}baseComponent"/>
             </choice>
             <choice minOccurs="0">
               <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}is-not-defined"/>
               <sequence>
                 <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}timeRange" minOccurs="0"/>
                 <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}propFilter" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://docs.oasis-open.org/ws-calendar/ns/soap}compFilter" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
             </choice>
           </sequence>
           <attribute name="test" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}AnyofAllofType" default="anyof" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected AnyCompType`
  `anyComp`
  `protected javax.xml.bind.JAXBElement<? extends BaseComponentType>`
  `baseComponent`
  `protected List<CompFilterType>`
  `compFilter`
  `protected IsNotDefinedType`
  `isNotDefined`
  `protected List<PropFilterType>`
  `propFilter`
  `protected String`
  `test`
  `protected UTCTimeRangeType`
  `timeRange`
  `protected VcalendarType`
  `vcalendar`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompFilterType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AnyCompType`
  `getAnyComp()`
  Gets the value of the anyComp property.
  `javax.xml.bind.JAXBElement<? extends BaseComponentType>`
  `getBaseComponent()`
  Gets the value of the baseComponent property.
  `List<CompFilterType>`
  `getCompFilter()`
  Gets the value of the compFilter property.
  `IsNotDefinedType`
  `getIsNotDefined()`
  Gets the value of the isNotDefined property.
  `List<PropFilterType>`
  `getPropFilter()`
  Gets the value of the propFilter property.
  `String`
  `getTest()`
  Gets the value of the test property.
  `UTCTimeRangeType`
  `getTimeRange()`
  Gets the value of the timeRange property.
  `VcalendarType`
  `getVcalendar()`
  Gets the value of the vcalendar property.
  `void`
  `setAnyComp(AnyCompType value)`
  Sets the value of the anyComp property.
  `void`
  `setBaseComponent(javax.xml.bind.JAXBElement<? extends BaseComponentType> value)`
  Sets the value of the baseComponent property.
  `void`
  `setIsNotDefined(IsNotDefinedType value)`
  Sets the value of the isNotDefined property.
  `void`
  `setTest(String value)`
  Sets the value of the test property.
  `void`
  `setTimeRange(UTCTimeRangeType value)`
  Sets the value of the timeRange property.
  `void`
  `setVcalendar(VcalendarType value)`
  Sets the value of the vcalendar property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### anyComp

    protected AnyCompType anyComp

  - ### vcalendar

    protected VcalendarType vcalendar

  - ### baseComponent

    protected javax.xml.bind.JAXBElement<? extends BaseComponentType> baseComponent

  - ### isNotDefined

    protected IsNotDefinedType isNotDefined

  - ### timeRange

    protected UTCTimeRangeType timeRange

  - ### propFilter

    protected List<PropFilterType> propFilter

  - ### compFilter

    protected List<CompFilterType> compFilter

  - ### test

    protected String test

- ## Constructor Details

  - ### CompFilterType

    public CompFilterType()

- ## Method Details

  - ### getAnyComp

    public AnyCompType getAnyComp()
    Gets the value of the anyComp property.
    Returns:
      possible object is `AnyCompType`

  - ### setAnyComp

    public void setAnyComp(AnyCompType value)
    Sets the value of the anyComp property.
    Parameters:
      `value` - allowed object is `AnyCompType`

  - ### getVcalendar

    public VcalendarType getVcalendar()
    Gets the value of the vcalendar property.
    Returns:
      possible object is `VcalendarType`

  - ### setVcalendar

    public void setVcalendar(VcalendarType value)
    Sets the value of the vcalendar property.
    Parameters:
      `value` - allowed object is `VcalendarType`

  - ### getBaseComponent

    public javax.xml.bind.JAXBElement<? extends BaseComponentType> getBaseComponent()
    Gets the value of the baseComponent property.
    Returns:
      possible object is `JAXBElement``<``AvailableType``>` `JAXBElement``<``BaseComponentType``>` `JAXBElement``<``DaylightType``>` `JAXBElement``<``StandardType``>` `JAXBElement``<``ValarmType``>` `JAXBElement``<``VavailabilityType``>` `JAXBElement``<``VeventType``>` `JAXBElement``<``VfreebusyType``>` `JAXBElement``<``VjournalType``>` `JAXBElement``<``VpollType``>` `JAXBElement``<``VtimezoneType``>` `JAXBElement``<``VtodoType``>` `JAXBElement``<``WsCalendarGluonType``>` `JAXBElement``<``WsCalendarIntervalType``>`

  - ### setBaseComponent

    public void setBaseComponent(javax.xml.bind.JAXBElement<? extends BaseComponentType> value)
    Sets the value of the baseComponent property.
    Parameters:
      `value` - allowed object is `JAXBElement``<``AvailableType``>` `JAXBElement``<``BaseComponentType``>` `JAXBElement``<``DaylightType``>` `JAXBElement``<``StandardType``>` `JAXBElement``<``ValarmType``>` `JAXBElement``<``VavailabilityType``>` `JAXBElement``<``VeventType``>` `JAXBElement``<``VfreebusyType``>` `JAXBElement``<``VjournalType``>` `JAXBElement``<``VpollType``>` `JAXBElement``<``VtimezoneType``>` `JAXBElement``<``VtodoType``>` `JAXBElement``<``WsCalendarGluonType``>` `JAXBElement``<``WsCalendarIntervalType``>`

  - ### getIsNotDefined

    public IsNotDefinedType getIsNotDefined()
    Gets the value of the isNotDefined property.
    Returns:
      possible object is `IsNotDefinedType`

  - ### setIsNotDefined

    public void setIsNotDefined(IsNotDefinedType value)
    Sets the value of the isNotDefined property.
    Parameters:
      `value` - allowed object is `IsNotDefinedType`

  - ### getTimeRange

    public UTCTimeRangeType getTimeRange()
    Gets the value of the timeRange property.
    Returns:
      possible object is `UTCTimeRangeType`

  - ### setTimeRange

    public void setTimeRange(UTCTimeRangeType value)
    Sets the value of the timeRange property.
    Parameters:
      `value` - allowed object is `UTCTimeRangeType`

  - ### getPropFilter

    public List<PropFilterType> getPropFilter()
    Gets the value of the propFilter property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propFilter property.

    For example, to add a new item, do as follows:

            getPropFilter().add(newItem);

    Objects of the following type(s) are allowed in the list `PropFilterType`

  - ### getCompFilter

    public List<CompFilterType> getCompFilter()
    Gets the value of the compFilter property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the compFilter property.

    For example, to add a new item, do as follows:

            getCompFilter().add(newItem);

    Objects of the following type(s) are allowed in the list `CompFilterType`

  - ### getTest

    public String getTest()
    Gets the value of the test property.
    Returns:
      possible object is `String`

  - ### setTest

    public void setTest(String value)
    Sets the value of the test property.
    Parameters:
      `value` - allowed object is `String`